//komorka dla sm42 na tor bochnia_sm
node -1 0 lok_sm42 memcell 0 0 0.1 Wait_for_orders 0 0 bochnia_sm42_tor endmemcell

//zalacz sm42 z huty
event lok_sm42_on updatevalues 0.0 lok_sm42 Jump_to_order 0 0 endevent

event lok_sm42_go updatevalues 2.0 lok_sm42 SetVelocity -1 -1 endevent

//start loka (zwiazane z torem bochnia_sm42_tor)
event lok_sm42_start multiple 5.0 none
  	lok_sm42_on
  	lok_sm42_go
endevent

//przestaw zwrotnice
event lok_sm42_zwr multiple 30.0 none
	bochnia_W_S5
	bochnia_zwr18-
	bochnia_zwr16-
	bochnia_zwr14-
endevent

//event wybier_lok multiple 10.0 none   //wybieranie czy trasa dla et22 czy eu07
//        lok_et22_02
//        lok_eu07_007_go
//endevent

event lok_sm42_koniec multiple 10.0 none
        bochnia_W_S1        //        S1 dla wjazdowego z SM
endevent

event lok_et22_02 multiple 5.0 lok_et22_tor
        lok_et22_02a
      brzesko_Tm1_Ms1   //----------------------------
      brzesko_Tm6_Ms1
      brzesko_Tm16_Ms1  //----------------------------
condition trackfree endevent

event lok_eu07_007_go multiple 5.0 lok_et22_tor
        lok_eu07_007_goa
condition trackoccupied endevent


//--------ET22------------

node -1 0 memcell_lok_et22 memcell 1.0 1.0 0.0 et_22 0 1 none endmemcell

event lok_et22_start multiple 40.0 memcell_lok_et22
	bochnia_F_Ms2
	bochnia_zwr08-
	bochnia_zwr07+
	bochnia_zwr21+
	bochnia_zwr06-
	bochnia_zwr01-
condition memcompare et_22 0 1 endevent


event lok_et22_01 multiple 30.0 memcell_lok_et22
	bochnia_F_S1
	bochnia_zwr01+
	bochnia_zwr02+
	bochnia_zwr03+
	bochnia_zwr04-
	bochnia_zwr10-
	bochnia_Tm4_Ms2
	bochnia_I_Ms2
condition memcompare et_22 0 1 endevent

//sm42 wjezdza na tor postojowy, w tym czasie et22 dalej manewruje

event lok_et22_02a multiple 60.0 memcell_lok_et22
	bochnia_Tm4_Ms1
	bochnia_Tm2_Ms2
	bochnia_zwr11+
	bochnia_zwr12+
	bochnia_zwr13+
	bochnia_zwr17-
	bochnia_zwr19-
condition memcompare et_22 0 1 endevent

event lok_et22_03 multiple 30.0 memcell_lok_et22
	bochnia_I_S1
	bochnia_Tm2_Ms1
	bochnia_zwr19-
	bochnia_zwr17+
	bochnia_zwr16+
	bochnia_zwr14+
        bochnia_Tm7_Ms2 
condition memcompare et_22 0 1 endevent

event lok_et22_04 multiple 10.0 memcell_lok_et22
        bochnia_Tm7_Ms1
        lok_et22_05
        et22_update_2
condition memcompare et_22 0 1 endevent

event et22_update_2 updatevalues 0.0 memcell_lok_et22 et_22 0 2 endevent

//cala naprzod - ET22
event lok_et22_05 multiple 240.0 memcell_lok_et22
      bochnia_zwr14+
      bochnia_zwr16+
      bochnia_zwr17+
      bochnia_zwr19+
      bochnia_zwr20+
      bochnia_M_S10
condition memcompare et_22 0 2 endevent

event lok_et22_06 multiple 30.0 memcell_lok_et22
      bochnia_M_S1
      brzesko_Z_S13
      brzesko_zwr02-
      brzesko_zwr03+
      brzesko_zwr05+
      brzesko_zwr04+
      brzesko_zwr06+
      brzesko_zwr10-
condition memcompare et_22 0 2 endevent

event lok_et22_07 multiple 5.0 memcell_lok_et22
      brzesko_Z_S1
      lok_et22_08
condition memcompare et_22 0 2 endevent


//odczepienie loka
event lok_et22_08 multiple 90.0 memcell_lok_et22
      brzesko_zwr17-
      brzesko_I_Ms2
condition memcompare et_22 0 2 endevent

event lok_et22_09 multiple 30.0 memcell_lok_et22
      brzesko_I_S1
      brzesko_Tm9_Ms2
      brzesko_zwr16+
      brzesko_zwr17+
condition memcompare et_22 0 2 endevent

event lok_et22_10 multiple 30.0 memcell_lok_et22
      brzesko_Tm9_Ms1
      brzesko_zwr16-
      brzesko_h_Ms2
condition memcompare et_22 0 2 endevent

event lok_et22_11 multiple 10.0 memcell_lok_et22
      brzesko_h_S1
condition memcompare et_22 0 2 endevent
//koniec !!!

//--------------------------------------EU07-007----------------------------------------
//--------------------------------------------------------------------------------------

//======================================================================================
//======================================GWIZDEK=========================================

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_1 sound -145.0 1.5 90.0 gwizdek.wav endsound  //-x z y
node 100 0 gwizdek_wav_2 sound -145.0 1.5 -30.0 gwizdek.wav endsound  //-x z y

node -1 0 memcell_gwizdek memcell 1.0 1.0 3.0 gwizdek 0 0 none endmemcell

event gwizdek_1 sound 8.0 gwizdek_wav_1 1 endevent
event gwizdek_2 sound 5.0 gwizdek_wav_2 1 endevent
event gwizdek_update_1 updatevalues 2.0 memcell_gwizdek gwizdek 0 1 endevent

event gwizdek_odjazd_1 multiple 30.0 memcell_gwizdek
      gwizdek_1
      gwizdek_2
      gwizdek_update_1
condition memcompare gwizdek 0 0 endevent
//------- gwizdek -------- koniec -----------

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_3 sound 22.0 1.5 5070.0 gwizdek.wav endsound  //-x z y

event gwizdek_3 sound 5.0 gwizdek_wav_3 1 endevent
event gwizdek_update_2 updatevalues 2.0 memcell_gwizdek gwizdek 0 2 endevent

event gwizdek_odjazd_2 multiple 20.0 memcell_gwizdek
      gwizdek_3
      gwizdek_update_2
condition memcompare gwizdek 0 1 endevent
//------- gwizdek -------- koniec -----------

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_4 sound -1438.0 1.5 10000.0 gwizdek.wav endsound  //-x z y
node 100 0 gwizdek_wav_5 sound -1438.0 1.5 9820.0 gwizdek.wav endsound  //-x z y

event gwizdek_4 sound 8.0 gwizdek_wav_4 1 endevent
event gwizdek_5 sound 5.0 gwizdek_wav_5 1 endevent
event gwizdek_update_3 updatevalues 2.0 memcell_gwizdek gwizdek 0 3 endevent

event gwizdek_odjazd_3 multiple 30.0 memcell_gwizdek
      gwizdek_4
      gwizdek_5
      gwizdek_update_3
condition memcompare gwizdek 0 2 endevent
//------- gwizdek -------- koniec -----------
//======================================================================================
//======================================================================================

//node -1 0 zzzzzzz eventlauncher 0.0 0.0 0.1 5000 4 0 gwizdek_1 none end

event lok_eu07_007_goa multiple 20.0 none
  	bochnia_J_S2
  	gwizdek_odjazd_1
endevent

node -1 0 memcell_lok_eu07_007 memcell 1.0 1.0 2.0 eu_07_007 1 0 none endmemcell


event eu07_007_update_0 updatevalues 5.0 memcell_lok_eu07_007 eu_07_007 1 1  endevent

//po wyjezdzie z bochni 007-k ktualizuj komorke
event lok_eu07_007_01a multiple 15.0 memcell_lok_eu07_007
      bochnia_F_S1      //----------------------------
      brzesko_Tm1_Ms1
      brzesko_Tm6_Ms1
      brzesko_Tm16_Ms1  //----------------------------
      eu07_007_update_0
condition memcompare eu_07_007 1 0 endevent

//S13 na wjazdowy do brzeska
event lok_eu07_007_01 multiple 5.0 memcell_lok_eu07_007
      brzesko_Z_S13
condition memcompare eu_07_007 1 1 endevent

//zwrotki ustaw dla brzeska
event lok_eu07_007_04 multiple 5.0 memcell_lok_eu07_007
      brzesko_zwr02-
      brzesko_zwr03-
      brzesko_zwr07+
      brzesko_zwr08+
      brzesko_zwr09+
condition memcompare eu_07_007 1 1 endevent

//--------
event lok_eu07_007_03 multiple 15.0 memcell_lok_eu07_007
  	bochnia_J_S1
condition memcompare eu_07_007 1 1 endevent
//--------

//wjazd na peron w brzesku
event lok_eu07_007_02 multiple 15.0 memcell_lok_eu07_007
      brzesko_Z_S1
      lok_eu07_007_06
condition memcompare eu_07_007 1 1 endevent

//manewry koncowe
//---------------

event eu07_007_update updatevalues 5.0 memcell_lok_eu07_007 eu_07_007 1 2  endevent

event lok_eu07_007_06 multiple 150.0 memcell_lok_eu07_007
      brzesko_zwr14+
      brzesko_zwr23+
      brzesko_zwr24+
      brzesko_M_Ms2
      eu07_007_update
condition memcompare eu_07_007 1 1 endevent

event lok_eu07_007_05 multiple 40.0 memcell_lok_eu07_007
      brzesko_zwr20+
      brzesko_zwr19-
      brzesko_zwr21-
      brzesko_zwr24-
      brzesko_M_S1
      brzesko_Tm13_Ms2
      lok_eu07_007_07
condition memcompare eu_07_007 1 2 endevent

event lok_eu07_007_07 multiple 600.0 memcell_lok_eu07_007
      brzesko_Tm13_Ms1
condition memcompare eu_07_007 1 2 endevent
//---------------
//KONIEC !!!

//--------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------


//---------------EP09 AI----------------------------------------

//komorka dla ep09
node -1 0 lok_ep09 memcell 2 2 2 Wait_for_orders 0 0 ep09_tor endmemcell

event lok_ep09_on updatevalues 0.0 lok_ep09 Jump_to_order 0 0 endevent

event lok_ep09_go updatevalues 2.0 lok_ep09 SetVelocity -1 -1 endevent

//start loka (zwiazane z torem bochnia_sm42_tor)
event lok_ep09_start multiple 20.0 none
  	lok_ep09_on
  	lok_ep09_go
endevent

event lok_ep09_01 multiple 10.0 none
      brzesko_zwr23+
      brzesko_zwr24+
      brzesko_zwr14-
endevent

//----------------EU07-485-------------------------------

//======================================================================================
//======================================GWIZDEK=========================================

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_10 sound -395.0 1.5 15150.0 gwizdek2.wav endsound  //-x z y
node 100 0 gwizdek_wav_11 sound -395.0 1.5 15300.0 gwizdek.wav endsound  //-x z y

node -1 0 memcell_gwizdek_2 memcell 1.0 1.0 3.0 gwizdek 0 0 none endmemcell

event gwizdek_10 sound 8.0 gwizdek_wav_10 1 endevent
event gwizdek_11 sound 5.0 gwizdek_wav_11 1 endevent
event gwizdek_update_10 updatevalues 2.0 memcell_gwizdek_2 gwizdek 0 1 endevent

event gwizdek_odjazd_10 multiple 45.0 memcell_gwizdek_2
      gwizdek_10
      gwizdek_11
      gwizdek_update_10
condition memcompare gwizdek 0 0 endevent
//------- gwizdek -------- koniec -----------

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_12 sound -1423.0 1.5 9780.0 gwizdek2.wav endsound  //-x z y
node 100 0 gwizdek_wav_13 sound -1423.0 1.5 9950.0 gwizdek.wav endsound  //-x z y

event gwizdek_12 sound 9.0 gwizdek_wav_12 1 endevent
event gwizdek_13 sound 5.0 gwizdek_wav_13 1 endevent
event gwizdek_update_11 updatevalues 2.0 memcell_gwizdek_2 gwizdek 0 2 endevent

event gwizdek_odjazd_11 multiple 40.0 memcell_gwizdek_2
      gwizdek_12
      gwizdek_13
      gwizdek_update_11
condition memcompare gwizdek 0 1 endevent
//------- gwizdek -------- koniec -----------

//------- gwizdek -------- poczatek -----------
node 100 0 gwizdek_wav_14 sound 37.0 1.5 4850.0 gwizdek2.wav endsound  //-x z y
node 100 0 gwizdek_wav_15 sound 37.0 1.5 5000.0 gwizdek.wav endsound  //-x z y

event gwizdek_14 sound 7.0 gwizdek_wav_14 1 endevent
event gwizdek_15 sound 5.0 gwizdek_wav_15 1 endevent
event gwizdek_update_12 updatevalues 2.0 memcell_gwizdek_2 gwizdek 0 3 endevent

event gwizdek_odjazd_12 multiple 35.0 memcell_gwizdek_2
      gwizdek_14
      gwizdek_15
      gwizdek_update_12
condition memcompare gwizdek 0 2 endevent
//------- gwizdek -------- koniec -----------
//======================================================================================
//======================================================================================

node -1 0 memcell_lok_eu07_485 memcell 1.0 1.0 4.0 eu07 3 0 none endmemcell

event lok_eu07_485_start multiple 30.0 memcell_lok_eu07_485
      brzesko_zwr12-
      brzesko_zwr11-
      brzesko_Tm1_Ms2
      brzesko_Tm6_Ms2
condition memcompare eu07 3 0 endevent

event lok_eu07_485_01 multiple 40.0 memcell_lok_eu07_485
      brzesko_zwr11+
      brzesko_zwr10+
      brzesko_zwr04+
      brzesko_zwr06+
      brzesko_zwr05+
      brzesko_zwr03+
      brzesko_zwr02-
      lok_eu07_485_01a
condition memcompare eu07 3 0 endevent


event lok_eu07_485_01a multiple 1.0 memcell_lok_eu07_485
      brzesko_Tm1_Ms1
      brzesko_Tm6_Ms1
      brzesko_F_Ms2
      eu07_007_update_2
condition memcompare eu07 3 0 endevent

event eu07_007_update_2 updatevalues 0.0 memcell_lok_eu07_485 eu07 3 1 endevent

event lok_eu07_485_02 multiple 40.0 memcell_lok_eu07_485
      brzesko_F_S1
      brzesko_zwr02-
      brzesko_zwr03-
      brzesko_zwr07-
      brzesko_Tm12_Ms2
condition memcompare eu07 3 1 endevent

event lok_eu07_485_03 multiple 10.0 memcell_lok_eu07_485
      brzesko_Tm12_Ms1
      lok_eu07_485_04  //naprzod eu07-485
condition memcompare eu07 3 1 endevent

//cala naprzod !!!
event lok_eu07_485_04 multiple 250.0 memcell_lok_eu07_485
      brzesko_zwr07-
      brzesko_zwr03-
      brzesko_zwr02+
      brzesko_zwr01+
      brzesko_A_S10
      gwizdek_odjazd_10  //gwizdek
condition memcompare eu07 3 1 endevent

event lok_eu07_485_05 multiple 180.0 memcell_lok_eu07_485
      brzesko_A_S1
condition memcompare eu07 3 1 endevent

event lok_eu07_485_06 multiple 10.0 memcell_lok_eu07_485
      bochnia_p_S1
      lok_eu07_485_07
condition memcompare eu07 3 1 endevent

event lok_eu07_485_07 multiple 120.0 memcell_lok_eu07_485
      bochnia_zwr13-
      bochnia_zwr17-
      bochnia_zwr19-
      bochnia_p_S5
condition memcompare eu07 3 1 endevent

event lok_eu07_485_08 multiple 10.0 memcell_lok_eu07_485
      bochnia_p_S1
      lok_eu07_485_09
condition memcompare eu07 3 1 endevent

event lok_eu07_485_09 multiple 60.0 memcell_lok_eu07_485
      bochnia_D_Ms2
      bochnia_zwr21-
      bochnia_zwr06+
      bochnia_zwr05+
      bochnia_zwr03-
      bochnia_zwr02-
condition memcompare eu07 3 1 endevent

event lok_eu07_485_10 multiple 40.0 memcell_lok_eu07_485
      bochnia_D_S1
      bochnia_Tm5_Ms2
      bochnia_zwr04-
      bochnia_zwr03+
      bochnia_zwr02-
condition memcompare eu07 3 1 endevent

event lok_eu07_485_11 multiple 20.0 memcell_lok_eu07_485
      bochnia_Tm5_Ms1
condition memcompare eu07 3 1 endevent

//-----------------------
event lok_eu07_485_100 multiple 10.0 none
      brzesko_Tm1_Ms1
      brzesko_Tm6_Ms1 
      lok_eu07_399_01 //399 start
endevent
//----------------EU07-399-------------------------------


node -1 0 memcell_lok_eu07_399 memcell 1.0 1.0 5.0 eu07 4 0 none endmemcell

event eu07_399_update updatevalues 0.0 memcell_lok_eu07_399 eu07 4 1 endevent

event lok_eu07_399_01 multiple 30.0 memcell_lok_eu07_399
      brzesko_Tm16_Ms2
      brzesko_zwr04-
      brzesko_zwr05-
condition memcompare eu07 4 0 endevent

event lok_eu07_399_02 multiple 120.0 memcell_lok_eu07_399
      brzesko_Tm16_Ms1
      brzesko_Tm17_Ms2
      brzesko_zwr06-
      brzesko_zwr04+
      eu07_399_update
condition memcompare eu07 4 0 endevent

event lok_eu07_399_03 multiple 40.0 memcell_lok_eu07_399
      brzesko_Tm17_Ms1
      brzesko_zwr16+
      brzesko_zwr17+
      brzesko_zwr18-
      brzesko_h_Ms2
      brzesko_Tm8_Ms2
condition memcompare eu07 4 1 endevent

event lok_eu07_399_04 multiple 40.0 memcell_lok_eu07_399
      brzesko_zwr18-
      brzesko_zwr17-
      brzesko_zwr10-
      brzesko_zwr06+
      brzesko_zwr04+
      brzesko_zwr05-
      lok_eu07_399_04a
condition memcompare eu07 4 1 endevent

event lok_eu07_399_04a multiple 40.0 memcell_lok_eu07_399
      brzesko_h_S1
      brzesko_Tm8_Ms1
      brzesko_Tm15_Ms2
      brzesko_Tm9_Ms2
      brzesko_e_Ms2
condition memcompare eu07 4 1 endevent

event eu07_399_update_2 updatevalues 0.0 memcell_lok_eu07_399 eu07 4 2 endevent

event lok_eu07_399_05 multiple 40.0 memcell_lok_eu07_399
      brzesko_Tm15_Ms1
      brzesko_Tm9_Ms1
      brzesko_e_S1
      brzesko_zwr06-
      brzesko_Tm17_Ms2
      eu07_399_update_2
condition memcompare eu07 4 1 endevent

event lok_eu07_399_06 multiple 160.0 memcell_lok_eu07_399
      brzesko_Tm17_Ms1
      brzesko_d_S10
      brzesko_zwr05+
      brzesko_zwr03+
      brzesko_zwr02+
      brzesko_zwr01+
condition memcompare eu07 4 2 endevent

event lok_eu07_399_07 multiple 30.0 memcell_lok_eu07_399
      brzesko_d_S1
condition memcompare eu07 4 2 endevent

event lok_eu07_399_08 multiple 30.0 memcell_lok_eu07_399
      bochnia_p_S1
      lok_eu07_399_09
condition memcompare eu07 4 2 endevent

event lok_eu07_399_09 multiple 200.0 memcell_lok_eu07_399
      bochnia_zwr19-
      bochnia_zwr17-
      bochnia_zwr13+
      bochnia_zwr12+
      bochnia_zwr11+
      bochnia_zwr10-
      bochnia_p_S13
condition memcompare eu07 4 2 endevent

event lok_eu07_399_10 multiple 60.0 memcell_lok_eu07_399
      bochnia_p_S1
      bochnia_B_Ms2
      bochnia_zwr04-
      bochnia_zwr03+
      bochnia_zwr02-
condition memcompare eu07 4 2 endevent

event lok_eu07_399_11 multiple 90.0 memcell_lok_eu07_399
      bochnia_B_S1
      bochnia_zwr03-
      bochnia_zwr05+
      bochnia_zwr06+
      bochnia_zwr21+
      bochnia_zwr07+
      bochnia_zwr08+
      bochnia_Tm5_Ms2
condition memcompare eu07 4 2 endevent
